org.apache.avro.mapred

## Class AvroTextOutputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.FileOutputFormat<K,V>
  - - org.apache.avro.mapred.AvroTextOutputFormat<K,V>

- All Implemented Interfaces:
    OutputFormat<K,V>

      public class AvroTextOutputFormat<K,V>
      extends FileOutputFormat<K,V>

  The equivalent of `TextOutputFormat` for writing to Avro Data Files with a `"bytes"` schema.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroTextOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordWriter<K,V>` | `getRecordWriter(FileSystem ignore, JobConf job, String name, Progressable prog)`

    - ### Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath, setWorkOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroTextOutputFormat

          public AvroTextOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<K,V> getRecordWriter(FileSystem ignore,
                                                   JobConf job,
                                                   String name,
                                                   Progressable prog)
                                            throws IOException

      Specified by:
        `getRecordWriter` in interface `OutputFormat<K,V>`
      Specified by:
        `getRecordWriter` in class `FileOutputFormat<K,V>`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.